diff -u -EbwB --strip-trailing-cr -r -N Addons.xcu gdocs-1.8.1/Addons.xcu
--- Addons.xcu	2009-10-29 10:42:45.000000000 +0100
+++ Addons.xcu	2009-10-29 10:42:32.000000000 +0100
@@ -1,4 +1,4 @@
-<?xml version='1.0' encoding='UTF-8'?>
+<?xml version="1.0" encoding="UTF-8"?>
 <oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="Addons" oor:package="org.openoffice.Office">
   <node oor:name="AddonUI">
     <node oor:name="OfficeMenuBarMerging">
@@ -184,7 +179,6 @@
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
               <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>            
-          <value/>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -206,7 +199,7 @@
           <value>_self</value>
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
-          <value/>
+            <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -229,7 +221,6 @@
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
               <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>            
-          <value/>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -251,7 +241,7 @@
           <value>_self</value>
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
-          <value/>
+            <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -273,7 +262,7 @@
           <value>_self</value>
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
-          <value/>
+            <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -293,6 +281,15 @@
           <prop oor:name="ImageSmallURL">
               <value>%origin%/images/ooo2gd.png</value>
           </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/ooo2gd.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/ooo2gd.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/ooo2gd.png</value>
+          </prop>
         </node>
       </node>
       <node oor:name="org.openoffice.gdocs.gdocs.export.images" oor:op="replace">
@@ -303,6 +300,15 @@
           <prop oor:name="ImageSmallURL">
               <value>%origin%/images/upload-doc.png</value>
           </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/upload-doc.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/upload-doc.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/upload-doc.png</value>
+          </prop>
         </node>
       </node>
       <node oor:name="org.openoffice.gdocs.gdocs.import.images" oor:op="replace">
@@ -313,9 +319,17 @@
           <prop oor:name="ImageSmallURL">
               <value>%origin%/images/download-doc.png</value>
           </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/download-doc.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/download-doc.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/download-doc.png</value>
+          </prop>
         </node>
       </node>
-      
       <node oor:name="org.openoffice.gdocs.gdocs.export.zoho.images" oor:op="replace">
         <prop oor:name="URL" oor:type="xs:string">
           <value>org.openoffice.gdocs.gdocs:Export to Zoho</value>
@@ -324,9 +338,17 @@
           <prop oor:name="ImageSmallURL">
               <value>%origin%/images/upload-zoho.png</value>
           </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/upload-zoho.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/upload-zoho.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/upload-zoho.png</value>
+          </prop>
         </node>
       </node>      
-
       <node oor:name="org.openoffice.gdocs.gdocs.import.zoho.images" oor:op="replace">
         <prop oor:name="URL" oor:type="xs:string">
           <value>org.openoffice.gdocs.gdocs:Import from Zoho</value>
@@ -335,9 +357,17 @@
           <prop oor:name="ImageSmallURL">
               <value>%origin%/images/download-zoho.png</value>
           </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/download-zoho.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/download-zoho.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/download-zoho.png</value>
+          </prop>
         </node>
       </node>
-      
       <node oor:name="org.openoffice.gdocs.gdocs.export.webdev.images" oor:op="replace">
         <prop oor:name="URL" oor:type="xs:string">
           <value>org.openoffice.gdocs.gdocs:ExportWebDAV</value>
@@ -346,10 +376,17 @@
           <prop oor:name="ImageSmallURL">
               <value>%origin%/images/upload-webdav.png</value>
           </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/upload-webdav.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/upload-webdav.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/upload-webdav.png</value>
+          </prop>
         </node>
       </node>
-
-      
       </node>      
   </node>
 </oor:component-data>
diff -u -EbwB --strip-trailing-cr -r -N BaseWindowState.xcu gdocs-1.8.1/BaseWindowState.xcu
--- BaseWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ BaseWindowState.xcu	2009-10-29 10:42:32.000000000 +0100
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="BaseWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
diff -u -EbwB --strip-trailing-cr -r -N BasicIDEWindowState.xcu gdocs-1.8.1/BasicIDEWindowState.xcu
--- BasicIDEWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ BasicIDEWindowState.xcu	2009-10-29 10:42:32.000000000 +0100
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="BasicIDEWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
diff -u -EbwB --strip-trailing-cr -r -N CalcWindowState.xcu gdocs-1.8.1/CalcWindowState.xcu
--- CalcWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ CalcWindowState.xcu	2009-10-29 10:42:32.000000000 +0100
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="CalcWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
diff -u -EbwB --strip-trailing-cr -r -N DrawWindowState.xcu gdocs-1.8.1/DrawWindowState.xcu
--- DrawWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ DrawWindowState.xcu	2009-10-29 10:42:32.000000000 +0100
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="DrawWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
diff -u -EbwB --strip-trailing-cr -r -N ImpressWindowState.xcu gdocs-1.8.1/ImpressWindowState.xcu
--- ImpressWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ ImpressWindowState.xcu	2009-10-29 10:42:32.000000000 +0100
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="ImpressWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
diff -u -EbwB --strip-trailing-cr -r -N MathWindowState.xcu gdocs-1.8.1/MathWindowState.xcu
--- MathWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ MathWindowState.xcu	2009-10-29 10:42:32.000000000 +0100
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="MathWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
diff -u -EbwB --strip-trailing-cr -r -N META-INF/manifest.xml gdocs-1.8.1/META-INF/manifest.xml
--- META-INF/manifest.xml	2009-10-05 22:53:54.000000000 +0200
+++ META-INF/manifest.xml	2009-10-21 10:17:56.000000000 +0200
@@ -1,9 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <manifest:manifest xmlns:manifest="http://openoffice.org/2001/manifest">
-  <manifest:file-entry manifest:media-type="application/vnd.sun.star.uno-component;type=Java"
-                       manifest:full-path="GDocs.jar"/>
-  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data"
-                       manifest:full-path="ProtocolHandler.xcu"/>
-  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data"
-                       manifest:full-path="Addons.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.uno-component;type=Java" manifest:full-path="GDocs.jar"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="ProtocolHandler.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="Addons.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="CalcWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="StartModuleWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="WriterWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="BaseWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="ImpressWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="BasicIDEWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="MathWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="DrawWindowState.xcu"/>
 </manifest:manifest>
\ No newline at end of file
diff -u -EbwB --strip-trailing-cr -r -N ProtocolHandler.xcu gdocs-1.8.1/ProtocolHandler.xcu
--- ProtocolHandler.xcu	2009-10-29 10:42:45.000000000 +0100
+++ ProtocolHandler.xcu	2009-10-29 10:42:32.000000000 +0100
@@ -1,6 +1,5 @@
-<?xml version='1.0' encoding='UTF-8'?>
-
-<oor:component-data oor:name="ProtocolHandler" oor:package="org.openoffice.Office" xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" oor:name="ProtocolHandler" oor:package="org.openoffice.Office">
   <node oor:name="HandlerSet">
     <node oor:name="org.openoffice.gdocs.GDocs" oor:op="replace">
       <prop oor:name="Protocols" oor:type="oor:string-list">
diff -u -EbwB --strip-trailing-cr -r -N StartModuleWindowState.xcu gdocs-1.8.1/StartModuleWindowState.xcu
--- StartModuleWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ StartModuleWindowState.xcu	2009-10-29 10:42:32.000000000 +0100
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="StartModuleWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
diff -u -EbwB --strip-trailing-cr -r -N WriterWindowState.xcu gdocs-1.8.1/WriterWindowState.xcu
--- WriterWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ WriterWindowState.xcu	2009-10-29 10:42:32.000000000 +0100
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="WriterWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
